Subject: bug#52587: 29.0.50; Wrong block header/footer background in Org

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Dec 2021 19:07:55 +0200

> From: Kévin Le Gouguec <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 20 Dec 2021 07:33:07 +0100
> 
> But I think this bug report shows that some users have different
> expectations, rooted in an abstract sense of what is and is not "part"
> of the subsection to hide.  Specifically, they consider that the
> end-of-line decoration of a subsection's last line is "part" of the
> subsection, and so expect it to be hidden when the subsection is folded.

Which means the Lisp code which defines which parts are hidden should
hide slightly different parts?  Because the display engine does its
job perfectly here, and so do the faces: they do what you tell them to
do.

IOW, while I see your point, I don't think I understand how would you
like this to be resolved.